Download it now!
Bug 130776 - PPTX import: Missing bullet in Smartart
Summary: PPTX import: Missing bullet in Smartart
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.1.0.3 release
Hardware: All All
: medium normal
Assignee: Gülşah Köse
URL:
Whiteboard: target:7.0.0 target:6.3.6 target:6.4.2
Keywords: implementationError
Depends on:
Blocks: 130839
  Show dependency treegraph
 
Reported: 2020-02-19 13:51 UTC by Gülşah Köse
Modified: 2020-03-31 09:40 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample file (29.43 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2020-02-19 15:17 UTC, Gülşah Köse
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gülşah Köse 2020-02-19 13:51:31 UTC
Description:
When i open the sample file in LibreOffice bullets disappears in second level.

Steps to Reproduce:
1.Open sample.pptx witk LibreOffice
2.Click the ok SmartArt warning.

Actual Results:
You won't see the bullet in second level.

Expected Results:
We should see a bullet in second level.


Reproducible: Always


User Profile Reset: No



Additional Info:
-
Comment 1 Xisco Faulí 2020-02-19 14:08:04 UTC
Hi  Gülşah Köse,
Please, attach the document
Comment 2 Gülşah Köse 2020-02-19 15:17:24 UTC
Created attachment 158009 [details]
Sample file
Comment 3 Commit Notification 2020-02-20 05:57:36 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7865c662a4fdc9dc07f59d6ecd76b9c56d0020ae

tdf#130776 Show the bullet on second level in smartart.

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-02-20 19:18:17 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/09a027f682e873f572df533ed558ee99965f5839

tdf#130776 Show the bullet on second level in smartart.

It will be available in 6.3.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-02-21 11:01:28 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/9ed15a8f5e9a7f4de190499fbfc1fa9a4ff26c67

tdf#130776 Show the bullet on second level in smartart.

It will be available in 6.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Timur 2020-03-31 09:40:29 UTC
Repro LO 6.1 for attached PPTX (not for PPTX resaved in MSO). 
I add implementationError but that's awkward keyword sounding negative. It really means it's incomplete implementation. Here, something appeared so it's incomplete improvement.
Verified for bullet.
Sample still doesn't look fine in LO, as seen in attachment 159178 [details], probably SmartArt issue for older PPTX.